Bug 1285375 - RHEV Hypervisor custom naming scheme does not check for invalid characters
RHEV Hypervisor custom naming scheme does not check for invalid characters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHEV (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: TP2
: 1.0
Assigned To: dgao
Dave Johnson
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-11-25 08:47 EST by Antonin Pagac
Modified: 2016-10-03 15:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:00:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2015-11-25 08:47:22 EST
Description of problem:
When deploying RHEVM, in step 2C Hypervisors, the host naming scheme 'Custom scheme' does not check for invalid characters in 'Prepend host names with' field. This can cause an invalid hostname to be added and the deployment to fail.

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151118.t.0-RHCI-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Start a deployment of RHEVM
2. Go to step 2C Hypervisors, choose naming scheme 'Custom scheme'
3. Fill out some invalid characters in the 'Prepend host names with' field
4. Click Next, no check is performed

Actual results:
No check for invalid characters is performed; user is allowed to continue with invalid characters in hostname

Expected results:
Check for invalid characters; don't allow to continue with invalid characters in hostname

Additional info:
Comment 1 Antonin Pagac 2015-11-25 09:16:19 EST
See also: https://bugzilla.redhat.com/show_bug.cgi?id=1285393
Comment 2 dgao 2016-01-20 10:12:21 EST
The UI already has checks against invalid characters in mac naming scheme. When invalid characters are entered, the "Next" button is disabled.

In addition, invalid characters are checked as part of backend validation in the deployment summary screen. The changes can be tracked in: 

https://github.com/fusor/fusor/pull/600
Comment 3 Antonin Pagac 2016-01-26 04:29:53 EST
Verified.

RHCI-6.0-RHEL-7-20160122.t.1-RHCI-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.